/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package org.netgrok;

import java.util.HashMap;
import java.util.Map;

/**
 * Events represent a bundle of edge data as seen by a sensor
 * @author blue
 */
public class Event {

    public long timestamp = System.currentTimeMillis();
    public final Map<String, String> attributes = new HashMap<String, String>();
    public final Host source;
    public final Host destination;

    public Event(Host source, Host destination) {
        this.source = source;
        this.destination = destination;
    }

    @Override
    public String toString() {
        return "Event{" + "timestamp=" + timestamp + ", attributes=" + attributes + ", source=" + source + ", destination=" + destination + '}';
    }
}
